# Interface OptionsLegendType

#### Hierarchy

- OptionsLegendType

- Defined in src/options.js:584

#####
Index

### Properties

label
params
showGroupsTitle
useBbox

## Properties

### label

label: Object

The key is the server type (`mapserver`, `qgis`, ...), if the value is `false` the name of the layer will be not displayed. This is used to avoid duplicated title, as text and in the legend image.

- Defined in src/options.js:586

### params

params: Object

The key is the server type (`mapserver`, `qgis`, ...) or `image` for an URL from a metadata. The value is some additional parameters set in the query string.

- Defined in src/options.js:589

### showGroupsTitle

showGroupsTitle: boolean

Display or not groups title in the legend. default is true. Switching to false is useful to obtains a "flat" legend.

- Defined in src/options.js:592

### useBbox

useBbox: boolean

Use or not the bbox. Default to true. For QGIS server only.

- Defined in src/options.js:585

Generated using TypeDoc